import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableModuleView, IModule } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
export declare class DataChangeHistoryModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    onAdaptableReady(): void;
    isModuleAvailable(): boolean;
    getPopupMaxWidth(): number;
    hasNamedQueryReferences(): boolean;
    private shouldLogDataChange;
    getViewProperties(): AdaptableModuleView;
}
